snap-core-0.5.2: Snap: A Haskell Web Framework (Core)

Snap.Util.Readable

Synopsis

- class Readable a where
  - fromBS :: Monad m => ByteString -> m a

# Documentation

class Readable a where

Runs a `Snap` monad action only when `rqPathInfo` is empty.

Methods

fromBS :: Monad m => ByteString -> m a

Instances

Readable Double |
Readable Int |
Readable Integer |
Readable ByteString |
Readable Text |